services:
  # --- Servicio del Backend ---
  api-gestion:
    image: dmolinari/gestionintegralweb-backend:latest
    restart: always
    networks:
      - shared-net
    environment:
      - DB_SA_PASSWORD=${DB_SA_PASSWORD}
      - ConnectionStrings__DefaultConnection=Server=db-sqlserver;Database=SistemaGestion;User ID=sa;Password=${DB_SA_PASSWORD};TrustServerCertificate=True;
    ports:
      - "8081:8080"

  # --- Servicio del Frontend ---
  web-gestion:
    image: dmolinari/gestionintegralweb-frontend:latest
    restart: always
    networks:
      - shared-net
    ports:
      - "8080:80"
    depends_on:
      - api-gestion


networks:
  # Nos conectamos a la red que creará el otro stack
  shared-net:
    external: true
